Android Studio is looking for build tools 26.0.2, but build tools 27.0.3 is already released for Android Oreo 8.1

I am not totally sure why, but Android Studio doesn’t set the build tools in the gradle “app” file anymore. So here is how I fixed it. You get two options.

Method 1 – Install the missing build tools

1) Open the SDK manager by clicking on the icon in the top right of Android Studio. It looks like an android head in front of a download arrow. (Or go to File > Settings > Appearance & Behavior > System Settings > Android SDK)

2) Open SDK Tools tab

3) At the bottom-right, click “Show Package Details”

4) Find Android SDK Build-Tools and check the checkbox next to 26.0.2

5) Click apply in the bottom of the window

Method 2 – Use latest build tools

1) Follow instructions above

2) Uncheck all build tools besides 27.0.3 (the latest build tools at the time of writing)

Then you can define android build tools 27.0.3 in your gradle app file. To do this:

3) Make sure build tools 27.0.3 is installed by using the Android SDK manager (steps above).

4)Then find your build.gradle file. Use the navigation pane to the left of android studio. If it’s closed click the icon that looks like the android studio icon to the far left of android studio (it should have text that is sideways, and normally says “1:project”). Then use the file tree to find the file [yourappname] > app > build.gradle

5) Open the file and it should have something along the lines of “apply plugin: ‘com.android.application'” as the first line. Then add a new line under “compileSDKVersion” type in buildToolsVersion “27.0.3”

6) Then sync your project and you should be good to go!

Gradle Sync failed to find build tools revisionhttps://blog.herbydesign.com/wp-content/uploads/2021/08/download.pnghttps://blog.herbydesign.com/wp-content/uploads/2021/08/download-300x168.png Hernan Malubay Android StudioWebsites
Android Studio is looking for build tools 26.0.2, but build tools 27.0.3 is already released for Android Oreo 8.1 I am not totally sure why, but Android Studio doesn't set the build tools in the gradle 'app' file anymore. So here is how I fixed it. You get two options. Method...
Android Studio is looking for build tools 26.0.2, but build tools 27.0.3 is already released for Android Oreo 8.1 I am not totally sure why, but Android Studio doesn't set the build tools in the gradle "app" file anymore. So here is how I fixed it. You get two options. <strong>Method 1 - Install the missing build tools</strong> 1) Open the SDK manager by clicking on the icon in the top right of Android Studio. It looks like an android head in front of a download arrow. (Or go to File > Settings > Appearance & Behavior > System Settings > Android SDK) 2) Open SDK Tools tab 3) At the bottom-right, click "Show Package Details" 4) Find Android SDK Build-Tools and check the checkbox next to 26.0.2 5) Click apply in the bottom of the window <strong>Method 2 - Use latest build tools</strong> 1) Follow instructions above 2) Uncheck all build tools besides 27.0.3 (the latest build tools at the time of writing) Then you can define android build tools 27.0.3 in your gradle app file. To do this: 3) Make sure build tools 27.0.3 is installed by using the Android SDK manager (steps above). 4)Then find your build.gradle file. Use the navigation pane to the left of android studio. If it's closed click the icon that looks like the android studio icon to the far left of android studio (it should have text that is sideways, and normally says "1:project"). Then use the file tree to find the file [yourappname] > app > build.gradle 5) Open the file and it should have something along the lines of "apply plugin: 'com.android.application'" as the first line. Then add a new line under "compileSDKVersion" type in buildToolsVersion "27.0.3" 6) Then sync your project and you should be good to go!